<?
Error_Reporting(E_ALL & ~E_NOTICE);
ini_set('session.use_cookies',0);
ini_set('session.use_trans_sid',0);
ini_set('url_rewriter.tags',",");
session_start();
if(isset($_GET['log'])){
if($_GET['log']=='') { $error[]='- Логин отсутствует<br>';

}elseif(!preg_match("/^[A-Za-z1-9_\-@\*\)\(\?\!\~\[\]=]{2,20}$/iu",$_GET['log']) && !preg_match("/^[А-Яа-яё1-9_\-@\*\)\(\?\!\~\[\]=]{2,20}$/iu",$_GET['log'])) {

$error[]='- Такой логин невозможен или содержит недопустимые символы<br>';

}
if(!isset($_GET['pas']) || !preg_match('/^[0-9A-Za-z]{4,30}$/i',$_GET['pas']) || $_GET['pas']=='') {
$error[]='- Пароль отсутствует или содержит недопустимые символы<br>';
}
$log = htmlspecialchars(stripslashes(addslashes($_GET['log'])));
$pas = htmlspecialchars(stripslashes(addslashes($_GET['pas'])));
}elseif(isset($_POST['log'])){
if($_POST['log']=='') { $error[]='- Логин отсутствует<br>';

}elseif(!preg_match("/^[A-Za-z1-9_\-@\*\)\(\?\!\~\[\]=]{2,20}$/iu",$_POST['log']) && !preg_match("/^[А-Яа-яё1-9_\-@\*\)\(\?\!\~\[\]=]{2,20}$/iu",$_POST['log'])) {

$error[]='- Такой логин невозможен или содержит недопустимые символы<br>';

}
if(!isset($_POST['pas']) || !preg_match('/^[0-9A-Za-z]{4,30}$/i',$_POST['pas']) || $_POST['pas']=='') {
$error[]='- Пароль отсутствует или содержит недопустимые символы<br>';
}
$log = htmlspecialchars(stripslashes(addslashes($_POST['log'])));
$pas = htmlspecialchars(stripslashes(addslashes($_POST['pas'])));
}
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
}else{

$error[]='- Такой пользователь не зарегистрирован<br>';
}
////////////////////////////////////////////////////////
if(!isset($error)){
if (md5($pas)==$password && $log==$login && $log!=="" && md5($pas)!=="") {
session_register('Alog');
session_register('Apass');
$_SESSION['Alog']=$login;
$_SESSION['Apass']=md5($pas);
$sd=''.SID.'';
header ("Location: main.php?$sd&main=input");
}else {
header ("Location: index.php?error");
exit; }
}else {
header ("Location: index.php?error");
exit; }


?>

